org.apache.avro.ipc.netty

## Class NettyTransportCodec.NettyDataPack

- java.lang.Object
- - org.apache.avro.ipc.netty.NettyTransportCodec.NettyDataPack

- Enclosing class:
    NettyTransportCodec

      public static class NettyTransportCodec.NettyDataPack
      extends Object

  Transport protocol data structure when using Netty.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NettyDataPack()`
    `NettyDataPack(int serial, List<ByteBuffer> datas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ByteBuffer>` | `getDatas()`
    `int` | `getSerial()`
    `void` | `setDatas(List<ByteBuffer> datas)`
    `void` | `setSerial(int serial)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NettyDataPack

          public NettyDataPack()

    - #### NettyDataPack

          public NettyDataPack(int serial,
                               List<ByteBuffer> datas)

  - ### Method Detail

    - #### setSerial

          public void setSerial(int serial)

    - #### getSerial

          public int getSerial()

    - #### setDatas

          public void setDatas(List<ByteBuffer> datas)

    - #### getDatas

          public List<ByteBuffer> getDatas()

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.